# pybedtools.featurefuncs.three_prime

pybedtools.featurefuncs.three_prime()

  Returns the 3’-most coordinate, plus `upstream` and `downstream` bp; adds the string `add_to_name` to the feature’s name if provided (e.g., “_polyA_site”)

  Parameters
    feature pybedtools.Interval instance
    upstream, downstrea int

      Number of bp upstream or downstream of the strand-specific stop position of the feature to include. Default is 500 for both upstream and downstream so that the returned feature is 1kb centered on the 5’ end of the feature. Unstranded features (where strand=”.”) are treated as plus-strand features.

    add_to_name str or None

      If not None, append the string suffix to the name field of the feature (for example “_TSS”).

    genome dict or None

      If not None, then ensure that the start/stop positions are within the boundaries of the chromosome.